﻿using System;
using System.Collections.Generic;
using System.Linq;


namespace ScrumViewer.Models
{
    public class Task: BacklogItem
    {
        public UserStory UserStory { get; set; }

        public Task()
        {
            
        }
        public Task(int no, string title, string description, int state, int priority, TeamMember creator, int estimatedHours, UserStory userStory, DateTime datetimeStarted, Sprint sprint) : base(no, title, description, state, priority, creator, estimatedHours, datetimeStarted, sprint)
        {
            UserStory = userStory;
        }

        public override string GetId()
        {
            if(UserStory != null)
                return UserStory.GetId()+"T"+No;
            return "T" + No;
        }
    }
}
