using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Security.Claims;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Authentication;
using Microsoft.AspNetCore.Authentication.Cookies;
using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Mvc.RazorPages;
using ScrumViewer.Models;
using ScrumViewer.Services;

namespace ScrumViewer.Pages.LogIn
{
    public class LogoutPageModel : PageModel
    {
        //private UserService _userService;

        //public LogoutPageModel(UserService userService)
        //{
        //    _userService = userService;
        //}

       
        public async Task<IActionResult> OnGet()
        {
           LoginPageModel.LoggedInUser = null;
           
           await HttpContext.SignOutAsync(CookieAuthenticationDefaults.AuthenticationScheme);
           return RedirectToPage("/index");
         
        }
    }
}
